.sapUiLbl {
	color: @sapUiContentLabelColor;
}

.sapUiLbLReqInd { /* to allow reuse */
	font-size: 20px;
	font-weight: bold;
	vertical-align: middle;
	color: darken(@sapUiHighlight, 5%);
}

.sapUiInverted-CTX .sapUiLbl.sapUiLblReqEnd:after,
.sapUiInverted-CTX .sapUiLbl.sapUiLblRegBeg:before {
	color: lighten(@sapUiHighlight, 18%);
}

span.sapUiLblIco { /* icon font */
	font-size: 16px;
}

/* ================= */
/* Alignment in Form */
/* ================= */

/* GridLayout */
.sapUiGrid td > .sapUiLbl{
	margin-top: 2px;
}

html[data-sap-ui-browser^="cr"] .sapUiGrid td > .sapUiLbl.sapUiLblReq {
	margin-top: 1px;
}

/* required symbol is now left - if indicator is already at begin, don't change it */
.sapUiInverted-CTX .sapUiLbl.sapUiLblReqEnd:before {
	color: lighten(@sapUiHighlight, 18%);
}

/* ResponsiveLayout */
.sapUiRLElement > .sapUiRFLRow > .sapUiRFLContainer > .sapUiRFLContainerContent > .sapUiLbl{
	margin-top: 2px;
}
html[data-sap-ui-browser^="ie"] .sapUiRLElement > .sapUiRFLRow > .sapUiRFLContainer > .sapUiRFLContainerContent > .sapUiLbl{
	margin-top: 1px;
}

/* make labels before fields right aligned */
.sapUiInverted-CTX .sapUiRLElementWithLabel > .sapUiRFLRow:first-child > .sapUiRFLContainer:first-child:not(.sapUiRFLFullLength) > div > .sapUiLbl.sapUiLblReqEnd:before {
	color: lighten(@sapUiHighlight, 18%);
}

/* ResponsiveGridLayout */
html.sapUiMedia-Std-Phone .sapUiFormResGridCont > .sapUiFormElementLbl:not(.sapUiRespGridSpanS12) > .sapUiLbl,
html.sapUiMedia-Std-Tablet .sapUiFormResGridCont > .sapUiFormElementLbl:not(.sapUiRespGridSpanM12) > .sapUiLbl,
html.sapUiMedia-Std-Desktop .sapUiFormResGridCont > .sapUiFormElementLbl:not(.sapUiRespGridSpanL12) > .sapUiLbl {
	margin-top: 2px;
}

.sapUiTableColCell .sapUiLbl {
	font-size: inherit;
}